#ifndef __PSOCKET_INIT_H__
#define __PSOCKET_INIT_H__


#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <string.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <arpa/inet.h>
#include <sys/wait.h>
#include <signal.h>

#ifdef __cplusplus
extern "C" {
#endif

void sigchld_handler();
void *get_in_addr(struct sockaddr *sa);

int createTCPsocketServer(const char* port, int nbConnexion);
int createTCPsocketClient(const char* adresse, const char* port);


#ifdef __cplusplus
} /* closing brace for extern "C" */
#endif

#endif
